#version 330

in float opacity;
in vec4 position;
in vec4 prevPosition;

const vec4 particle_color = vec4 (0.9f, 0.9f, 1.0f, 0.8f);

layout (location = 0) out vec4 fragColor;
layout (location = 1) out vec2 velocity;

vec2 calcVelocity() {

    vec2 a = (position.xy / position.w) ;
    vec2 b = (prevPosition.xy / prevPosition.w) ;
	return a - b;

}

void main() {
	
	fragColor.rgb = particle_color.rgb;
	fragColor.a = particle_color.a* opacity;
	velocity = calcVelocity();
}
